////////////////////////////////////////////////////////////////////////////////
//
// Fichero:
//      exe.cpp
//
// Descripcin:
//      Ejecutable de prueba para D3D9Trace
//
// Observaciones:
//      Requiere que la DLL generada (d3d9.dll o d3d9d.dll) se haya copiado
//      al mismo directorio en el que se encuentre el ejecutable
//
// Historial:
//      16/MAR/2003 Creacin
//
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Libreras
////////////////////////////////////////////////////////////////////////////////
#pragma comment(lib, "d3d9")


////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
#include <windows.h>
#include <d3d9.h>


////////////////////////////////////////////////////////////////////////////////
// Implementacin
////////////////////////////////////////////////////////////////////////////////
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    IDirect3D9 * l_pIDirect3D9 = Direct3DCreate9(D3D_SDK_VERSION);

    if (NULL != l_pIDirect3D9){

    //PRUEBA; En CD3D9Trace se ha limitado el tamao mximo de las Texturas a 256x256
         D3DCAPS9 lst_Caps;
         (VOID)l_pIDirect3D9->GetDeviceCaps(D3DADAPTER_DEFAULT,
                                            D3DDEVTYPE_HAL, 
                                            &lst_Caps);

         l_pIDirect3D9->Release();
         l_pIDirect3D9 = NULL;
        }

    return(1);
}
