////////////////////////////////////////////////////////////////////////////////
//
// Fichero:
//      dll.cpp
//
// Descripcin:
//      Intercepta las llamadas a Direct3DCreate9
//
// Historial:
//      16/MAR/2003 Creacin
//
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
#include <windows.h>

#include "CD3D9Trace.h"


////////////////////////////////////////////////////////////////////////////////
// Tipos
////////////////////////////////////////////////////////////////////////////////
typedef IDirect3D9 * (WINAPI * DXPROC) (UINT);


////////////////////////////////////////////////////////////////////////////////
// Implementacin
////////////////////////////////////////////////////////////////////////////////

//
// Punto de entrada/salida de la DLL
//
BOOL WINAPI DllMain(HINSTANCE, DWORD, LPVOID)
{
    return(TRUE);
}

//
// Implementacin de Direct3DCreate9
//
IDirect3D9 * WINAPI Direct3DCreate9(UINT SDKVersion)
{
    HINSTANCE l_hModule = LoadLibrary("c:\\windows\\system32\\d3d9.dll");
    if (NULL == l_hModule){
         return(NULL);
        }

    DXPROC l_pfnFunction = (DXPROC)GetProcAddress(l_hModule, "Direct3DCreate9");
    if (NULL == l_pfnFunction){
         return(NULL);
        }

    IDirect3D9 * l_pD3D9 = l_pfnFunction(SDKVersion);
    if (NULL == l_pD3D9){
         return(NULL);
        }

    return( new D3D9Trace::CD3D9Trace(l_pD3D9) );
}
